Generate ERN in batch
curl --request POST \
--url https://api.royalti.io/ddex/ern/generate-batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": {
"messageControlType": "LiveMessage",
"includeDeals": true,
"includeMEADHooks": true,
"autoDeliver": false,
"priority": "normal",
"batchSize": 10,
"concurrency": 3,
"customSettings": {}
}
}
'import requests
url = "https://api.royalti.io/ddex/ern/generate-batch"
payload = {
"productIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": {
"messageControlType": "LiveMessage",
"includeDeals": True,
"includeMEADHooks": True,
"autoDeliver": False,
"priority": "normal",
"batchSize": 10,
"concurrency": 3,
"customSettings": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
providerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
options: {
messageControlType: 'LiveMessage',
includeDeals: true,
includeMEADHooks: true,
autoDeliver: false,
priority: 'normal',
batchSize: 10,
concurrency: 3,
customSettings: {}
}
})
};
fetch('https://api.royalti.io/ddex/ern/generate-batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workflowId": "<string>",
"status": "<string>",
"productCount": 123,
"batchSize": 123,
"estimatedCompletion": "2023-11-07T05:31:56Z"
}{
"status": "error",
"message": "Invalid request parameters"
}{
"status": "error",
"message": "Unauthorized"
}{
"status": "error",
"message": "Internal server error"
}Ddex
Generate ERN in batch
Starts a batch ERN generation flow for multiple products with a provider.
POST
/
ddex
/
ern
/
generate-batch
Generate ERN in batch
Code Examples
const response = await fetch('https://api.royalti.io/ddex/ern/generate-batch', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({
"productIds": [
{}
],
"providerId": "sample-providerId",
"options": {
"messageControlType": "sample-messageControlType",
"includeDeals": true,
"includeMEADHooks": true,
"autoDeliver": true,
"priority": "sample-priority",
"batchSize": 1,
"concurrency": 1,
"customSettings": {}
}
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/ddex/ern/generate-batch',
json={"productIds":[{}],"providerId":"sample-providerId","options":{"messageControlType":"sample-messageControlType","includeDeals":true,"includeMEADHooks":true,"autoDeliver":true,"priority":"sample-priority","batchSize":1,"concurrency":1,"customSettings":{}}}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/ddex/ern/generate-batch \
-H "Content-Type: application/json" \
-d '{"productIds":[{}],"providerId":"sample-providerId","options":{"messageControlType":"sample-messageControlType","includeDeals":true,"includeMEADHooks":true,"autoDeliver":true,"priority":"sample-priority","batchSize":1,"concurrency":1,"customSettings":{}}}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
⌘I